_USB_Init_Desc:
;usb_dsc.c,180 :: 		void USB_Init_Desc(){
;usb_dsc.c,181 :: 		USB_config_dsc_ptr[0] = &configDescriptor1;
LUI	R2, #hi_addr(_configDescriptor1+0)
ORI	R2, R2, #lo_addr(_configDescriptor1+0)
SW	R2, Offset(_USB_config_dsc_ptr+0)(GP)
;usb_dsc.c,182 :: 		USB_string_dsc_ptr[0] = (const char*)&strd1;
LUI	R2, #hi_addr(_strd1+0)
ORI	R2, R2, #lo_addr(_strd1+0)
SW	R2, Offset(_USB_string_dsc_ptr+0)(GP)
;usb_dsc.c,183 :: 		USB_string_dsc_ptr[1] = (const char*)&strd2;
LUI	R2, #hi_addr(_strd2+0)
ORI	R2, R2, #lo_addr(_strd2+0)
SW	R2, Offset(_USB_string_dsc_ptr+4)(GP)
;usb_dsc.c,184 :: 		USB_string_dsc_ptr[2] = (const char*)&strd3;
LUI	R2, #hi_addr(_strd3+0)
ORI	R2, R2, #lo_addr(_strd3+0)
SW	R2, Offset(_USB_string_dsc_ptr+8)(GP)
;usb_dsc.c,185 :: 		}
L_end_USB_Init_Desc:
JR	RA
NOP	
; end of _USB_Init_Desc
_ViderBuffer:
;joystick_main.c,30 :: 		void ViderBuffer(char * buffer, unsigned int buffer_len) {
;joystick_main.c,31 :: 		unsigned int cpt = 0;
;joystick_main.c,32 :: 		for (cpt=0; cpt<buffer_len; cpt++) *(buffer+cpt) = 0;
; cpt start address is: 16 (R4)
MOVZ	R4, R0, R0
; cpt end address is: 16 (R4)
L_ViderBuffer0:
; cpt start address is: 16 (R4)
ANDI	R3, R4, 65535
ANDI	R2, R26, 65535
SLTU	R2, R3, R2
BNE	R2, R0, L__ViderBuffer7
NOP	
J	L_ViderBuffer1
NOP	
L__ViderBuffer7:
ANDI	R2, R4, 65535
ADDU	R2, R25, R2
SB	R0, 0(R2)
ADDIU	R2, R4, 1
ANDI	R4, R2, 65535
; cpt end address is: 16 (R4)
J	L_ViderBuffer0
NOP	
L_ViderBuffer1:
;joystick_main.c,33 :: 		}
L_end_ViderBuffer:
JR	RA
NOP	
; end of _ViderBuffer
_USB_Isr:
;joystick_main.c,35 :: 		void USB_Isr() iv IVT_USB_1 ilevel 7 ics ICS_SRS {
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;joystick_main.c,36 :: 		USB_Interrupt_Proc();        // USB servicing is done inside the interrupt
JAL	_USB_Interrupt_Proc+0
NOP	
;joystick_main.c,37 :: 		USBIF_bit = 0;
LUI	R2, BitMask(USBIF_bit+0)
ORI	R2, R2, BitMask(USBIF_bit+0)
_SX	8, Offset(USBIF_bit+4), 4
;joystick_main.c,38 :: 		}
L_end_USB_Isr:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _USB_Isr
_Tmr1_isr:
;joystick_main.c,40 :: 		void Tmr1_isr() iv IVT_TIMER_1 ilevel 4 ics ICS_SOFT
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 4096
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;joystick_main.c,42 :: 		Check_TP();
JAL	_Check_TP+0
NOP	
;joystick_main.c,43 :: 		T1IF_bit = 0;  //acquite l'IT
LUI	R2, BitMask(T1IF_bit+0)
ORI	R2, R2, BitMask(T1IF_bit+0)
_SX	8, Offset(T1IF_bit+4), 4
;joystick_main.c,44 :: 		}
L_end_Tmr1_isr:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
ERET	
; end of _Tmr1_isr
_main:
;joystick_main.c,46 :: 		void main() {
;joystick_main.c,48 :: 		unsigned char i = 0;
;joystick_main.c,49 :: 		unsigned long int old_report_raw = 0;
;joystick_main.c,51 :: 		ViderBuffer(USB_Report.bytes, sizeof(USB_Report));
ORI	R26, R0, 6
LUI	R25, #hi_addr(_USB_Report+0)
ORI	R25, R25, #lo_addr(_USB_Report+0)
JAL	_ViderBuffer+0
NOP	
;joystick_main.c,54 :: 		TMR1 = 0;                 // reset timer value to zero
SW	R0, Offset(TMR1+0)(GP)
;joystick_main.c,55 :: 		PR1 = 0.01 * (80000000. / 256.);                 // Load period register IT TMR1 toutes les 0.1 s
ORI	R2, R0, 3125
SW	R2, Offset(PR1+0)(GP)
;joystick_main.c,58 :: 		T1IP0_bit = 0;            // set interrupt
LUI	R2, BitMask(T1IP0_bit+0)
ORI	R2, R2, BitMask(T1IP0_bit+0)
_SX	8, Offset(T1IP0_bit+4), 4
;joystick_main.c,59 :: 		T1IP1_bit = 0;            // priority
LUI	R2, BitMask(T1IP1_bit+0)
ORI	R2, R2, BitMask(T1IP1_bit+0)
_SX	8, Offset(T1IP1_bit+4), 4
;joystick_main.c,60 :: 		T1IP2_bit = 1;            // to 4
LUI	R2, BitMask(T1IP2_bit+0)
ORI	R2, R2, BitMask(T1IP2_bit+0)
_SX	8, Offset(T1IP2_bit+8), 4
;joystick_main.c,63 :: 		T1CONbits.TCKPS0 = 1;           // Set Timer 1 Input Clock
ORI	R2, R0, 16
SW	R2, Offset(T1CONbits+8)(GP)
;joystick_main.c,64 :: 		T1CONbits.TCKPS1 = 1;           // Prescale value to 1:256
ORI	R2, R0, 32
SW	R2, Offset(T1CONbits+8)(GP)
;joystick_main.c,66 :: 		EnableInterrupts();
EI	R30
;joystick_main.c,68 :: 		USBIP0_bit = 1;
LUI	R2, BitMask(USBIP0_bit+0)
ORI	R2, R2, BitMask(USBIP0_bit+0)
_SX	8, Offset(USBIP0_bit+8), 4
;joystick_main.c,69 :: 		USBIP1_bit = 1;
LUI	R2, BitMask(USBIP1_bit+0)
ORI	R2, R2, BitMask(USBIP1_bit+0)
_SX	8, Offset(USBIP1_bit+8), 4
;joystick_main.c,70 :: 		USBIP2_bit = 1;
LUI	R2, BitMask(USBIP2_bit+0)
ORI	R2, R2, BitMask(USBIP2_bit+0)
_SX	8, Offset(USBIP2_bit+8), 4
;joystick_main.c,71 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;joystick_main.c,73 :: 		USB_Report.pov_hat = 4;
ORI	R3, R0, 4
LBU	R2, Offset(_USB_Report+4)(GP)
INS	R2, R3, 0, 4
SB	R2, Offset(_USB_Report+4)(GP)
;joystick_main.c,75 :: 		HID_Enable(&readbuff,&writebuff);
LUI	R26, #hi_addr(_writebuff+0)
ORI	R26, R26, #lo_addr(_writebuff+0)
LUI	R25, #hi_addr(_readbuff+0)
ORI	R25, R25, #lo_addr(_readbuff+0)
JAL	_HID_Enable+0
NOP	
;joystick_main.c,78 :: 		Start_TP();
JAL	_Start_TP+0
NOP	
;joystick_main.c,80 :: 		T1IE_bit = 1;             // Enable Timer1 Interrupt
LUI	R2, BitMask(T1IE_bit+0)
ORI	R2, R2, BitMask(T1IE_bit+0)
_SX	8, Offset(T1IE_bit+8), 4
;joystick_main.c,82 :: 		ON__T1CON_bit = 1;        // Enable Timer1
LUI	R2, BitMask(ON__T1CON_bit+0)
ORI	R2, R2, BitMask(ON__T1CON_bit+0)
_SX	8, Offset(ON__T1CON_bit+8), 4
;joystick_main.c,84 :: 		while (1) {
L_main3:
;joystick_main.c,85 :: 		HID_Write(USB_Report.bytes, sizeof(USB_Report));
ORI	R26, R0, 6
LUI	R25, #hi_addr(_USB_Report+0)
ORI	R25, R25, #lo_addr(_USB_Report+0)
JAL	_HID_Write+0
NOP	
;joystick_main.c,86 :: 		}
J	L_main3
NOP	
;joystick_main.c,87 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
