#line 1 "C:/Users/LAURENT Amaury/Dropbox/Microcontroleurs/Amaury/Visual TFT Projects/joystick_emulator/joystick_Code/mikroC PRO for PIC32/joystick_events_code.c"
#line 1 "c:/users/laurent amaury/dropbox/microcontroleurs/amaury/visual tft projects/joystick_emulator/joystick_code/mikroc pro for pic32/joystick_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef const struct CButton {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 const char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCButton;

typedef struct Box {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int CButtonsCount;
 TCButton * const code *CButtons;
 unsigned int BoxesCount;
 TBox * const code *Boxes;
};

extern TScreen Screen1;
extern TCButton Button1;
extern TCButton Button2;
extern TCButton Button3;
extern TCButton Button4;
extern TCButton Button5;
extern TCButton Button6;
extern TCButton Button7;
extern TCButton Button8;
extern TCButton Button9;
extern TCButton Button10;
extern TBox Box1;
extern TCButton * const code Screen1_CButtons[10];
extern TBox * const code Screen1_Boxes[1];




void Box1OnClick();
void Box1OnDown();
void Box1OnPress();
void Button10OnClick();
void Button10OnDown();
void Button10OnUp();
void Button1OnDown();
void Button1OnUp();
void Button2OnClick();
void Button2OnDown();
void Button2OnUp();
void Button3OnClick();
void Button3OnDown();
void Button3OnUp();
void Button4OnClick();
void Button4OnDown();
void Button4OnUp();
void Button5OnClick();
void Button5OnDown();
void Button5OnUp();
void Button6OnClick();
void Button6OnDown();
void Button6OnUp();
void Button7OnClick();
void Button7OnDown();
void Button7OnUp();
void Button8OnClick();
void Button8OnDown();
void Button8OnUp();
void Button9OnClick();
void Button9OnDown();
void Button9OnUp();
void ButtonUpOnUp();
void ButtonUpOnDown();
void ButtonDownOnUp();
void ButtonDownOnDown();
void ButtonLeftOnUp();
void ButtonLeftOnDown();
void ButtonRightOnUp();
void ButtonRightOnDown();




extern const char Button1_Caption[];
extern const char Button2_Caption[];
extern const char Button3_Caption[];
extern const char Button4_Caption[];
extern const char Button5_Caption[];
extern const char Button6_Caption[];
extern const char Button7_Caption[];
extern const char Button8_Caption[];
extern const char Button9_Caption[];
extern const char Button10_Caption[];
extern const char ButtonUp_Caption[];
extern const char ButtonDown_Caption[];
extern const char ButtonLeft_Caption[];
extern const char ButtonRight_Caption[];
extern char Box1_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawCButton(TCButton *aCButton);
void DrawBox(TBox *ABox);
void Check_TP();
void Start_TP();
#line 1 "c:/users/laurent amaury/dropbox/microcontroleurs/amaury/visual tft projects/joystick_emulator/joystick_code/mikroc pro for pic32/joystick_resources.h"
const code char Tahoma11x13_Regular[];
#line 1 "c:/users/laurent amaury/dropbox/microcontroleurs/amaury/visual tft projects/joystick_emulator/joystick_code/mikroc pro for pic32/joystick_main.h"
typedef union {
 char bytes[6];
 struct {
 char x_value;
 char y_value;
 char rx_value;
 char ry_value;
 unsigned pov_hat :4;
 unsigned button_1 :1;
 unsigned button_2 :1;
 unsigned button_3 :1;
 unsigned button_4 :1;
 unsigned button_5 :1;
 unsigned button_6 :1;
 unsigned button_7 :1;
 unsigned button_8 :1;
 unsigned button_9 :1;
 unsigned button_10:1;
 unsigned button_11:1;
 unsigned button_12:1;
 };
} T_USB_Report;

extern T_USB_Report USB_Report;
#line 6 "C:/Users/LAURENT Amaury/Dropbox/Microcontroleurs/Amaury/Visual TFT Projects/joystick_emulator/joystick_Code/mikroC PRO for PIC32/joystick_events_code.c"
extern int Xcoord, Ycoord;



void Button1OnUp() {
 USB_Report.button_1 = 0;
}

void Button1OnDown() {
 USB_Report.button_1 = 1;
}

void Button2OnUp() {
 USB_Report.button_2 = 0;
}

void Button2OnDown() {
 USB_Report.button_2 = 1;
}

void Button3OnUp() {
 USB_Report.button_3 = 0;
}

void Button3OnDown() {
 USB_Report.button_3 = 1;
}

void Button4OnUp() {
 USB_Report.button_4 = 0;
}

void Button4OnDown() {
 USB_Report.button_4 = 1;
}

void Button5OnUp() {
 USB_Report.button_5 = 0;
}

void Button5OnDown() {
 USB_Report.button_5 = 1;
}

void Button6OnUp() {
 USB_Report.button_6 = 0;
}

void Button6OnDown() {
 USB_Report.button_6 = 1;
}

void Button7OnUp() {
 USB_Report.button_7 = 0;
}

void Button7OnDown() {
 USB_Report.button_7 = 1;
}

void Button8OnUp() {
 USB_Report.button_8 = 0;
}

void Button8OnDown() {
 USB_Report.button_8 = 1;
}

void Button9OnUp() {
 USB_Report.button_9 = 0;
}

void Button9OnDown() {
 USB_Report.button_9 = 1;
}

void Button10OnUp() {
 USB_Report.button_10 = 0;
}

void Button10OnDown() {
 USB_Report.button_10 = 1;
}

void ButtonUpOnUp() {
 USB_Report.pov_hat = 4;
}

void ButtonUpOnDown() {
 USB_Report.pov_hat = 0;
}

void ButtonDownOnUp() {
 USB_Report.pov_hat = 4;
}

void ButtonDownOnDown() {
 USB_Report.pov_hat = 2;
}

void ButtonLeftOnUp() {
 USB_Report.pov_hat = 4;
}

void ButtonLeftOnDown() {
 USB_Report.pov_hat = 3;
}

void ButtonRightOnUp() {
 USB_Report.pov_hat = 4;
}

void ButtonRightOnDown() {
 USB_Report.pov_hat = 1;
}

void Box1OnPress() {
 char X = 0, Y = 0;
 Y = ((Ycoord - Box1.Top) * 2) - 128;
 X = ((Xcoord - Box1.Left) * 2) - 128;
 USB_Report.y_value = Y;
 USB_Report.x_value = X;
}
